Refresh Sandbox from Snapshot
Refresh a sandbox Vault in the currently authenticated Vault from an existing snapshot.
POST
/api/{version}/objects/sandbox/{vault_id}/actions/refreshHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/x-www-form-urlencoded |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
vault_id | The Vault ID of the sandbox to be refreshed. |
Body Parameters
Section link for Body Parameters| Name | Description |
|---|---|
source_snapshotoptional | Provide the api_name of the snapshot to refresh the sandbox from. You can obtain the api_name using the Retrieve Sandbox Snapshots request. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "source_snapshot=Sandbox1 Snapshot" \
https://myvault.veevavault.com/api/v26.1/objects/sandbox/1001055/actions/refreshResponse
Section link for Response{
"responseStatus": "SUCCESS",
"job_id": 165954,
"url": "/api/v26.1/services/jobs/165954"
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
| Name | Description |
|---|---|
job_id | The Job ID value to retrieve the status and results of the sandbox refresh request. |
url | URL to retrieve the current status of the sandbox refresh request. |